<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <!-- Copy everything not matched by another rule -->
  <xsl:template match="* | comment()">
    <xsl:copy>
      <xsl:copy-of select="@*" />
      <xsl:apply-templates />
    </xsl:copy>
  </xsl:template>
  
  <!-- Removes All Original Levels From Island -->
  <xsl:template match="/island/level[@id='Drool']"></xsl:template>
  <xsl:template match="/island/level[@id='FlyAwayLittleOnes']"></xsl:template>
  <xsl:template match="/island/level[@id='BlusteryDay']"></xsl:template>
  <xsl:template match="/island/level[@id='ImmigrationNaturalizationUnit']"></xsl:template>
  <xsl:template match="/island/level[@id='BeautySchool']"></xsl:template>
  <xsl:template match="/island/level[@id='LeapHole']"></xsl:template>
  <xsl:template match="/island/level[@id='Whistler']"></xsl:template>
  <xsl:template match="/island/level[@id='VolcanicPercolatorDaySpa']"></xsl:template>
  <xsl:template match="/island/level[@id='BeautyAndTheTentacle']"></xsl:template>
  <xsl:template match="/island/level[@id='RedCarpet']"></xsl:template>
  <xsl:template match="/island/level[@id='GeneticSortingMachine']"></xsl:template>
  
  <!-- Modifies the island.xml setup for your new Chapter -->
  <xsl:template match="/island">
    <xsl:copy>
      <xsl:copy-of select="@*" />
	<xsl:attribute name="map">island2D</xsl:attribute>
      <xsl:attribute name="name">World 2: Ice World</xsl:attribute>
	<xsl:apply-templates />    
    <!-- Add your level tags here -->
<level id="Destroyers07" depends="Destroyers06" name="LEVEL_NAME_DESTROYERS07" text="LEVEL_TEXT_DESTROYERS07" ocd="moves,12" cutscene="levelFadeOut,x,gooTransition_out"/>
<level id="Destroyers08" depends="Destroyers07" name="LEVEL_NAME_DESTROYERS08" text="LEVEL_TEXT_DESTROYERS08" ocd="time,26" cutscene="levelFadeOut,x,gooTransition_out"/>
<level id="Destroyers09" depends="Destroyers08" name="LEVEL_NAME_DESTROYERS09" text="LEVEL_TEXT_DESTROYERS09" ocd="moves,13" cutscene="levelFadeOut,x,gooTransition_out"/>
<level id="Destroyers10" depends="Destroyers09" name="LEVEL_NAME_DESTROYERS10" text="LEVEL_TEXT_DESTROYERS10" ocd="moves,35" cutscene="levelFadeOut,x,gooTransition_out"/>
<level id="Destroyers11" depends="Destroyers10" name="LEVEL_NAME_DESTROYERS11" text="LEVEL_TEXT_DESTROYERS11" ocd="moves,12" cutscene="levelFadeOut,x,gooTransition_out"/>
<level id="Destroyers12" depends="Destroyers11" name="LEVEL_NAME_DESTROYERS12" text="LEVEL_TEXT_DESTROYERS12" ocd="time,60" cutscene="levelFadeOut,x,gooTransition_out"/>


    </xsl:copy>
  </xsl:template>
</xsl:transform>